## com.lowagie.bc.asn1
Class DERSet

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.ASN1Set
              com.lowagie.bc.asn1.DERSet

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  BERSet

    public class DERSet

extends ASN1Set

A DER encoded set object

Field Summary

Fields inherited from class com.lowagie.bc.asn1.ASN1Set
`set`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERSet()` create an empty set
`DERSet(DEREncodable obj)`
`DERSet(DEREncodableVector v)`

Method Summary
`(package private) void` `encode(DEROutputStream out)`

Methods inherited from class com.lowagie.bc.asn1.ASN1Set
`addObject, equals, getInstance, getInstance, getObjectAt, getObjects, hashCode, size`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERSet

    public DERSet()

  create an empty set

### DERSet

    public DERSet(DEREncodable obj)

Parameters:
  `obj` - - a single object that makes up the set.

### DERSet

    public DERSet(DEREncodableVector v)

Parameters:
  `v` - - a vector of objects making up the set.

Method Detail

### encode

    void encode(DEROutputStream out)
          throws java.io.IOException

  Specified by:
    `encode` in class `ASN1Set`
  Throws:
    `java.io.IOException`